Install a template into a workspace (or your personal space)
POST
/v1/artifact-templates/{templateId}/install
const url = 'https://shareout.site/v1/artifact-templates/example/install';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"workspace_id":"example","folder_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://shareout.site/v1/artifact-templates/example/install \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "workspace_id": "example", "folder_id": "example" }'Creates the folders and artifacts, rewrites links between them, creates empty tables/datasets from the schema, and returns the finish-setup steps.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”templateId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
workspace_id
string
folder_id
string
Examplegenerated
{ "workspace_id": "example", "folder_id": "example"}Responses
Section titled “Responses”{ install_group, folder_id, artifacts: [{ artifact_id, slug, url }], setup: [{ step, done }] }
Missing
